/*
 * Mattermost API Reference
 *
 * There is also a work-in-progress [Postman API reference](https://documenter.getpostman.com/view/4508214/RW8FERUn).
 *
 * The version of the OpenAPI document: 4.0.0
 * Contact: feedback@mattermost.com
 * Generated by: https://openapi-generator.tech
 */

#[derive(Clone, Debug, PartialEq, Default, serde::Serialize, serde::Deserialize)]
pub struct SetPostReminderRequest {
    /// Target time for the reminder
    #[serde(rename = "target_time")]
    pub target_time: i32,
}

impl SetPostReminderRequest {
    pub fn new(target_time: i32) -> SetPostReminderRequest {
        SetPostReminderRequest { target_time }
    }
}
